---
title: "Apparaat"
source: /nl/gcxone/api/device
locale: nl
updated: 2026-09-04
---
Operaties op apparaatresources. 8 eindpunten, elk relatief ten opzichte van`https://api.nxgen.cloud/api/v1` en geauthenticeerd zoals beschreven onder [Authenticatie](/gcxone/api/authentication).

## POST /device/

MAAK NIEUW Apparaat

### Verzoek body

Voeg een Apparaat toe

```json
{
  "payload": [
    {
      "id": "string",
      "status": "string",
      "armstate": "string",
      "sensorType": "string",
      "commercialName": "string",
      "catalogName": "string",
      "macAddress": "string",
      "deviceType": "string",
      "firmwareVersion": "string",
      "hardwareVersion": "string",
      "manafacturer": "string",
      "modelNo": "string",
      "srNo": "string",
      "specification": "string",
      "description": "string",
      "tags": [
        "string"
      ],
      "eventTags": [
        "string"
      ],
      "photos": [
        "string"
      ],
      "latitude": "string",
      "longitude": "string",
      "userName": "string (required)",
      "password": "string (required)",
      "ipAddressOrHostName": "string (required)",
      "controlPort": "string (required)",
      "RTSPPort": "string (required)",
      "RTSPUrl": "string",
      "type": "string (required)",
      "subType": "string",
      "catalogId": "string",
      "siteId": "string",
      "eventRetentionTime": "string",
      "sitePulseConfiguration": "boolean",
      "pulseConfigurationTime": "object",
      "configureHeatmapMask": "boolean",
      "peirodicHealthCheck": "boolean",
      "jsonSchema": "object",
      "associatedSiteId": "string",
      "cameraCount": "number",
      "cameraList": [
        {
          "name": "…",
          "enabled": "…",
          "adproSourceUrl": "…",
          "channelId": "…"
        }
      ],
      "parentAccountId": "string",
      "siteParent": "string",
      "customerId": "string",
      "serviceProviderId": "string",
      "siteEventProviderId": "string",
      "customerEventProviderId": "string",
      "serviceProvidersEventProviderId": "string",
      "assetStatus": "string",
      "uniqueId": "string",
      "momentsTimeZoneCountryName": "String",
      "profile": {
        "photos": [
          "…"
        ]
      },
      "geoCordinates": {
        "latitude": "string",
        "longitude": "string"
      }
    }
  ]
}
```

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes |  |
| 204 | Geen inhoud |  |
| 400 | Ongeldige invoer |  |
| 401 | Niet geautoriseerd |  |
| 403 | Verboden |  |

## GET /device/arming/info?deviceId={deviceId}&action=info

Om Apparaat arm-informatie op te halen

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| deviceId | query | string | ja |  |

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes |  |
| 204 | Geen inhoud |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

## PUT /device/arming?deviceId={deviceId}&action={action}

Update inschakelen/uitschakelen per apparaat-ID

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| deviceId | query | string | ja |  |
| action | query | boolean | ja |  |

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes |  |
| 204 | Geen inhoud |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

## POST /device/filter

Haalt apparaatlijst op met filteren, sorteren en paginering. Het maakt hiërarchisch niveau zoeken mogelijk. Het kan gefilterd worden met opgegeven hiërarchie of gebruikt de hiërarchie van de ingelogde gebruiker. Dit biedt de optie om extra entiteitsvelden in de respons op te nemen. Biedt tevens configuratiemetadata over de entiteit.

### Verzoek body

Apparaatfiltering en -sortering

```json
{
  "filters": [
    {
      "columnName": "string (required)",
      "type": "distinctList | date | number | StringConditionFilter (required)",
      "filter": "object (required)"
    }
  ],
  "sortOrder": [
    {
      "columnName": "string",
      "isAscending": "boolean"
    }
  ],
  "primaryColumns": [
    "string"
  ],
  "hierarchyLevel": "string",
  "hierarchyId": "string",
  "nPerPage": "number",
  "pageNumber": "number",
  "isConfigDetailRequired": "boolean",
  "getConfig": "boolean",
  "getChildOrParent": "boolean"
}
```

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes | object |
| 204 | Geen inhoud |  |
| 400 | Ongeldige invoer |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |

Voorbeeld `200` respons:

```json
{
  "config": {
    "columns": [
      {
        "visibility": true,
        "columnName": "commercialName",
        "DisplayName": "Device",
        "isFilterable": true,
        "filterType": "stringCondition",
        "sticky": true,
        "isRightBorder": true,
        "isMandatory": true,
        "isNotDraggable": true
      }
    ],
    "defaultNPerPage": 50,
    "defaultFilterCondition": [],
    "defaultSortingOrder": [
      {
        "columnName": "dateTime",
        "isAscending": false
      }
    ],
    "maxVisibleColumnCount": 6,
    "exportLimitNPerPage": 500
  },
  "dataResult": [
    {
      "id": "10eb916e67884c87a0833e494bef7e69",
      "commercialName": "Device",
      "siteParent": "Axxon Site",
      "enableAudio": "Enabled",
      "parentAccountId": "f2b51c0f62c64d15a7b1acc5ea13082d",
      "assetStatus": "active",
      "uniqueId": "10eb916e67884c87a0833e494bef7e69",
      "type": "Axxon",
      "dateTime": 1655707624747,
      "customerName": "Axxon customer"
    },
    {
      "id": "27b050033c2d48769b9fbaa83449cc67",
      "commercialName": "Device",
      "siteParent": "Site test",
      "enableAudio": "Enabled",
      "parentAccountId": "c772ac8dd22f4a9ab8241cb7db87a65e",
      "assetStatus": "active",
      "uniqueId": "27b050033c2d48769b9fbaa83449cc67",
      "type": "EdgeComputer",
      "dateTime": 1655274173376,
      "customerName": "OWT TEST",
      "srNo": "eqrrw"
    }
  ],
  "totalRecordsCount": 3552,
  "filteredBy": [],
  "sortedBy": [
    {
      "columnName": "dateTime",
      "isAscending": false
    }
  ],
  "dispatchedAll": false,
  "isDefaultProjectionMutated": false,
  "isDefaultFilterMutated": false,
  "isDefaultSortingMutated": false
}
```

## PUT /device/isolate?deviceId={deviceId}&enable={enable}

Update isolatie op basis van device id

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| deviceId | query | string | ja |  |
| enable | query | boolean | ja |  |
| isolateStartTime | query | nummer | nee |  |
| duration | query | nummer | nee |  |

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes |  |
| 204 | Geen inhoud |  |
| 401 | Niet geautoriseerd |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

## GET /device/{id}

Ophalen op basis van device id

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| id | pad | string | ja |  |

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes |  |
| 204 | Geen inhoud |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

## PUT /device/{id}

Werk een bestaand Apparaat bij

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| id | path | string | yes |  |

### Verzoek body

```json
{
  "payload": {
    "id": "string",
    "status": "string",
    "armstate": "string",
    "sensorType": "string",
    "commercialName": "string",
    "catalogName": "string",
    "macAddress": "string",
    "deviceType": "string",
    "firmwareVersion": "string",
    "hardwareVersion": "string",
    "manafacturer": "string",
    "modelNo": "string",
    "srNo": "string",
    "specification": "string",
    "description": "string",
    "latitude": "string",
    "longitude": "string",
    "userName": "string (required)",
    "password": "string (required)",
    "ipAddressOrHostName": "string (required)",
    "controlPort": "string (required)",
    "RTSPPort": "string (required)",
    "RTSPUrl": "string",
    "type": "string (required)",
    "subType": "string",
    "catalogId": "string",
    "siteId": "string",
    "eventRetentionTime": "string",
    "sitePulseConfiguration": "boolean",
    "pulseConfigurationTime": "object",
    "configureHeatmapMask": "boolean",
    "peirodicHealthCheck": "boolean",
    "jsonSchema": "object",
    "associatedSiteId": "string",
    "cameraCount": "number",
    "cameraList": [
      {
        "name": "string",
        "enabled": "number",
        "adproSourceUrl": "string",
        "channelId": "number"
      }
    ],
    "parentAccountId": "string",
    "siteParent": "string",
    "customerId": "string",
    "serviceProviderId": "string",
    "siteEventProviderId": "string",
    "customerEventProviderId": "string",
    "serviceProvidersEventProviderId": "string",
    "assetStatus": "string",
    "uniqueId": "string",
    "profile": {
      "business": [
        "string"
      ],
      "photos": [
        "string"
      ],
      "tags": [
        "string"
      ],
      "followers": [
        "string"
      ]
    },
    "geoCordinates": {
      "latitude": "string",
      "longitude": "string",
      "plusCode": "string",
      "what3Words": "string"
    },
    "commisioningStatus": "object",
    "syncStatus": "boolean",
    "jsonSchemaResult": "object",
    "momentsTimeZoneCountryName": "String"
  }
}
```

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes |  |
| 204 | Geen inhoud |  |
| 400 | Ongeldige invoer |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |

## DELETE /device/{id}

Verwijder een Apparaat op id

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| id | pad | string | ja |  |

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes |  |
| 204 | Geen inhoud |  |
| 400 | Ongeldige invoer |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |